Special:Categories should also include the first relevant item when "from" is filled
Closed, ResolvedPublic

Description

Author: danny.b

Description:
Special:Categories/Foo should show:

Category:Foo
Category:Foo bar
Category:Foo baz
Category:Qux

but shows:

Category:Foo bar
Category:Foo baz
Category:Qux

while the Category:Foo is the last item of previous page.


(adding "code-update-regression" keyword, because I'm pretty sure it used to work correctly before)


Version: unspecified
Severity: minor

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz25095.
bzimport created this task.Via LegacySep 8 2010, 10:55 AM
TheDJ added a comment.Via ConduitMar 2 2012, 8:17 PM

this issue still exists btw. As a matter of fact, it seems worse....

http://en.wikipedia.org/w/index.php?title=Special:Categories/Foo&offset=Fontwell_Park_Racecourse

Clearly the list contains "Food Network", yet
http://en.wikipedia.org/w/index.php?title=Special:Categories/Food_Network
starts at "Food Network (Canada)"

Pressing "Previous 50" http://en.wikipedia.org/w/index.php?title=Special:Categories/Food_Network&dir=prev&offset=Food_Network_%28Canada%29

gives you a list that ALSO doesn't contain "Food Network". Thus the pager offset is making exact match offsets disappear altogether from the list :D

MaxSem added a comment.Via ConduitMar 8 2012, 9:22 PM

SELECT /* IndexPager::reallyDoQuery (CategoryPager) MaxSem */ cat_title,cat_pages FROM category WHERE (cat_pages > 0) AND (cat_title>'Foo') ORDER BY cat_title LIMIT 51

This doesn't look right, should be cat_title>='Foo', otherwise &from= and &offset= work the same way.

(In reply to comment #1)

this issue still exists btw. As a matter of fact, it seems worse....

http://en.wikipedia.org/w/index.php?title=Special:Categories/Foo&offset=Fontwell_Park_Racecourse

Clearly the list contains "Food Network", yet
http://en.wikipedia.org/w/index.php?title=Special:Categories/Food_Network
starts at "Food Network (Canada)"

Pressing "Previous 50"
http://en.wikipedia.org/w/index.php?title=Special:Categories/Food_Network&dir=prev&offset=Food_Network_%28Canada%29

gives you a list that ALSO doesn't contain "Food Network". Thus the pager
offset is making exact match offsets disappear altogether from the list :D

Couldn't repro it locally.

MaxSem added a comment.Via ConduitMar 8 2012, 10:52 PM

Fixed in r113415.

saper added a comment.Via ConduitApr 16 2012, 5:46 PM

Unfortunately, the fix breaks paging in Special:Categories (bug 36019).

IAlex added a comment.Via ConduitMay 9 2012, 8:24 PM

Another fix is pending review in Gerrit changeset #7086.

IAlex added a comment.Via ConduitJun 14 2012, 9:51 AM
  • Bug 37469 has been marked as a duplicate of this bug. ***
IAlex added a comment.Via ConduitJun 29 2012, 6:46 PM
  • Bug 38016 has been marked as a duplicate of this bug. ***
IAlex added a comment.Via ConduitJul 21 2012, 7:14 AM
  • Bug 38525 has been marked as a duplicate of this bug. ***
IAlex added a comment.Via ConduitAug 2 2012, 11:33 AM

The change is now merged.

duplicatebug added a comment.Via ConduitAug 6 2012, 7:53 PM
  • Bug 15381 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.